Stores and Shopify

Sales, commission and orders per store and blended, against the previous range

GET/api/public/v1/stores/overview
LiveAnswers from your brand's records now.

Operation id getStoresOverview

Request

curl

curl "https://creator.growthdept.ai/api/public/v1/stores/overview" \
  -H "Authorization: Bearer gdc_..."

Parameters

NameInTypeNotes
organization_idqueryinteger
start_datequerystring (date)
end_datequerystring (date)

Responses

200Success

FieldTypeNotes
dataobject
data.blendedobject
data.blended.deltasobject
data.blended.prior_seriesarray of object
data.blended.seriesarray of object
data.blended.totalsobject
data.blended.totals.active_creatorsinteger
data.blended.totals.aov_centsinteger, nullable
data.blended.totals.commission_centsinteger
data.blended.totals.gmv_centsinteger
data.blended.totals.ordersinteger
data.blended.totals.refund_centsinteger
data.blended.totals.revenue_per_commissionnumber, nullable
data.channelsarray of object
data.channels[].[].attributionobject
data.channels[].[].attribution.last_clickobject
data.channels[].[].attribution.meta_reportedobject
data.channels[].[].attribution.spendobject
data.channels[].[].attribution.spend_scopestring
data.channels[].[].attribution.triple_whaleobject
data.channels[].[].availableboolean
data.channels[].[].connectedboolean
data.channels[].[].data_throughstring (date), nullable
data.channels[].[].deltasobject
data.channels[].[].keystringOne of shopifytiktok_shopamazonwebsiteiosandroidmeta_ads
data.channels[].[].last_data_datestring (date), nullable
data.channels[].[].last_synced_atstring (date-time), nullable
data.channels[].[].namestring
data.channels[].[].seriesarray of object
data.channels[].[].series[].[].commission_centsinteger
data.channels[].[].series[].[].datestring (date)
data.channels[].[].series[].[].gmv_centsinteger
data.channels[].[].series[].[].ordersinteger
data.channels[].[].statusstring
data.channels[].[].totalsobject
data.channels[].[].totals.active_creatorsinteger
data.channels[].[].totals.aov_centsinteger, nullable
data.channels[].[].totals.commission_centsinteger
data.channels[].[].totals.gmv_centsinteger
data.channels[].[].totals.ordersinteger
data.channels[].[].totals.refund_centsinteger
data.channels[].[].totals.revenue_per_commissionnumber, nullable
data.currency_symbolstring
data.organization_typestring, nullable
data.rangeobject
data.range.endstring (date)
data.range.prior_endstring (date)
data.range.prior_startstring (date)
data.range.startstring (date)
successboolean

Example

{
  "data": {
    "blended": {
      "deltas": {},
      "prior_series": [
        {}
      ],
      "series": [
        {}
      ],
      "totals": {
        "active_creators": 3,
        "aov_cents": 12500,
        "commission_cents": 12500,
        "gmv_cents": 12500,
        "orders": 3,
        "refund_cents": 12500,
        "revenue_per_commission": 125.5
      }
    },
    "channels": [
      {
        "attribution": {
          "last_click": {
            "available": null,
            "orders": null,
            "revenue_cents": null,
            "roas": null,
            "series": null
          },
          "meta_reported": {
            "available": null,
            "orders": null,
            "revenue_cents": null,
            "roas": null,
            "series": null
          },
          "spend": {
            "series": null,
            "spend_cents": null
          },
          "spend_scope": "string",
          "triple_whale": {
            "available": null,
            "orders": null,
            "revenue_cents": null,
            "roas": null,
            "series": null
          }
        },
        "available": true,
        "connected": true,
        "data_through": "2026-11-01",
        "deltas": {},
        "key": "shopify",
        "last_data_date": "2026-11-01",
        "last_synced_at": "2026-11-01T15:04:05Z",
        "name": "Example name",
        "series": [
          {
            "commission_cents": null,
            "date": null,
            "gmv_cents": null,
            "orders": null
          }
        ],
        "status": "string",
        "totals": {
          "active_creators": 3,
          "aov_cents": 12500,
          "commission_cents": 12500,
          "gmv_cents": 12500,
          "orders": 3,
          "refund_cents": 12500,
          "revenue_per_commission": 125.5
        }
      }
    ],
    "currency_symbol": "string",
    "organization_type": "string",
    "range": {
      "end": "2026-11-01",
      "prior_end": "2026-11-01",
      "prior_start": "2026-11-01",
      "start": "2026-11-01"
    }
  },
  "success": true
}

Errors: 401404422429with an error and usually a message. See errors.

Example values are made up from each field's type and name.